/*!
  @header ECXMLSampleClassTEST
  @abstract Module of Encore
 
  @availability OS X, GNUstep
  @copyright 2004, 2005, 2006 Oliver Langer
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA

  <pre>
  -------------------------------------------------------------------------
  Modification history

  29.11.05 ola     initial version
  23.08.06 ola     license changed
  -------------------------------------------------------------------------
  </pre>
*/

#if !defined(__ECXMLSampleClassTEST_H)
#define __ECXMLSampleClassTEST_H

#include <Foundation/Foundation.h>
#include <Encore/ECObject.h>

/*!
 * @class ECXMLSampleClassTEST
 * @abstract used and allocated by XMLControl
 */
@interface ECXMLSampleClassTEST : ECObject {
  @private
  NSString *name;
  NSMutableArray *children;
}

- init;
- (void) dealloc;

- addECXMLSampleClassTEST: (id) childObjectToAdd;

- (NSString *) description;

- setName: (NSString *) aName;
@end
#endif
