/*!
  @header ECXMLSampleClassTEST
  @abstract Module of Encore
 
  @availability OS X, GNUstep
  @copyright 2004, 2005, 2006 Oliver Langer
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA

  <pre>
  -------------------------------------------------------------------------
  Modification history

  29.11.05 ola     initial version
  23.08.06 ola     license changed
  -------------------------------------------------------------------------
  </pre>
*/

#include <ECXMLSampleClassTEST.h>

@implementation ECXMLSampleClassTEST

- init {
  self = [super init];
  self->name = nil;
  self->children = [[NSMutableArray alloc] init];
  
  NSLog( @"ECXMLSampleClassTEST::init: Called!" );
  
  return self;
}


- (void) dealloc {
  if( nil != self->name ) {
    [self->name release];
  }
  
  if( nil != self->children ) {
    [self->children release];
  }
  
  [super dealloc];
}


- addECXMLSampleClassTEST: (id) childObjectToAdd {
  NSLog( @"ECXMLSampleClassTEST::addECXMLSampleClassTEST: called with"\
    " child = %@", childObjectToAdd );
    
  [self->children addObject: childObjectToAdd];
  
  return self;
}


- (NSString *) description {
  return [[NSString alloc] initWithFormat: @"instance of ECXMLSampleClassTEST"\
    "with name=%@", self->name];
}


- setName: (NSString *) aName {
  NSLog( @"ECXMLSampleClassTEST::setName called with name=%@", aName );
  self->name = [aName retain];
  
  return self;
}


- setObjectReference: (id) anObject {
  NSLog( @"ECXMLSampleClassTEST::setObjectReference: Called with object=%@",
    anObject );
    
  return self;
}
@end
